#!/bin/bash
###
 # @Date: 2022-08-06 16:12:07
 # @LastEditors: JinxChen
 # @LastEditTime: 2022-09-08 14:19:48
 # @FilePath: \TelpoUserManageAdmin\telpo_user_admin_run.sh
 # @description:
###

environment=$1
version=$2
echo "环境变量为${environment},版本为$version!"
if [[ ${environment} = 'production' ]]; then
  echo "开始远程构建容器"
  docker stop telpo_user_admin || true;
  docker rm telpo_user_admin || true;
  docker rmi -f $(docker images | grep registry.cn-shanghai.aliyuncs.com/gps_card/telpo_user_admin | awk '{print $3}')
  #docker login --username=telpo_linwl@1111649216405698 --password=telpo#1234 registry.cn-shanghai.aliyuncs.com;
  docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
  docker pull registry.cn-shanghai.aliyuncs.com/gps_card/telpo_user_admin:$version
  docker run -p 8073:80 -d --restart=always --name telpo_user_admin registry.cn-shanghai.aliyuncs.com/gps_card/telpo_user_admin:$version;
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a

elif [[ ${environment} == 'test' ]]; then
  echo "开始在测试环境远程构建容器"
  docker stop telpo_user_admin || true
  docker rm telpo_user_admin || true
  docker rmi -f $(docker images | grep 139.224.254.18:5000/telpo_user_admin | awk '{print $3}')
  docker pull 139.224.254.18:5000/telpo_user_admin:$version
  docker run -p 8073:80 -d --restart=always --name telpo_user_admin 139.224.254.18:5000/telpo_user_admin:$version;
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a

fi
